> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetzy.es/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener una llamada

> Returns data about a specific call.

## Descripción General

Este endpoint recupera los detalles de una llamada específica usando su ID único.

## Autenticación

Este endpoint requiere autenticación usando un token Bearer en el header Authorization.

```bash theme={null}
Authorization: Bearer TU_API_TOKEN
```

## Parámetros de Ruta

| Parámetro | Tipo   | Descripción                   |
| --------- | ------ | ----------------------------- |
| callId    | string | ID único de la llamada (UUID) |

## Respuesta

La respuesta incluye todos los detalles de la llamada:

```json theme={null}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_time": "2024-11-12 10:30:00",
  "assistant_id": "550e8400-e29b-41d4-a716-446655440000",
  "from": "+34612345678",
  "to": "+34987654321",
  "status": "closed",
  "duration": 180,
  "recording": "https://recordings.meetzy.io/call-123.mp3",
  "transcript": "...",
  "success": true,
  "summary": "...",
  "output": {}
}
```

## Campos de Respuesta

| Campo         | Tipo    | Descripción                         |
| ------------- | ------- | ----------------------------------- |
| id            | string  | Identificador único de la llamada   |
| created\_time | string  | Cuándo fue creada la llamada        |
| assistant\_id | string  | ID del agente que manejó la llamada |
| from          | string  | Número de teléfono origen           |
| to            | string  | Número de teléfono destino          |
| status        | string  | Estado actual de la llamada         |
| duration      | number  | Duración en segundos                |
| recording     | string  | URL de la grabación                 |
| transcript    | string  | Transcripción de la llamada         |
| success       | boolean | Si la llamada fue exitosa           |
| summary       | string  | Resumen generado por IA             |
| output        | object  | Datos estructurados extraídos       |


## OpenAPI

````yaml GET /call/{callId}
openapi: 3.0.1
info:
  title: OpenAPI Flark
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: Private
  version: 2.0.0
servers:
  - url: https://api.meetzy.io
security:
  - bearerAuth: []
paths:
  /call/{callId}:
    get:
      description: Returns data about a specific call.
      responses:
        '200':
          description: Call response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GET_CallResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GET_CallResponse:
      type: object
      properties:
        id:
          description: Unique identifier of the call.
          type: string
        playbook_name:
          description: Name of the playbook used during the call.
          type: string
        playbook_id:
          description: Unique identifier of the playbook used during the call.
          type: string
        version_id:
          description: >-
            The ID of the playbook version that was used for this call. If
            empty, the current playbook configuration was used (no version
            control).
          type: string
        from:
          description: Phone number that **initiated** the call.
          type: string
        to:
          description: Phone number that **received** the call.
          type: string
        status:
          description: >-
            Current status of the call, possible values include: 'ringing',
            'open', 'closed', 'no-answer', 'voicemail', 'busy',
            'recall-scheduled', 'wrong-phone-format'.
          type: string
        duration:
          description: Duration of the call in seconds.
          type: integer
        transcript:
          description: Full transcription of the call in HTML format.
          type: string
        summary:
          description: Brief summary of the conversation during the call.
          type: string
        data:
          description: Parameters received to initiate the call.
          type: string
        success:
          description: Indicates whether the objectives defined in the playbook were met.
          type: boolean
        recording:
          description: Indicates whether the call was recorded.
          type: boolean
        created_time:
          description: >-
            Timestamp for when the call was initiated, formatted as YYYY-MM-DD
            HH:MM:SS in UTC (Z). For example, a created_time of '2024-01-28
            16:16:56' corresponds to '2024-01-28 18:16:56' in Spain (UTC +2).
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          description: If the call started successfully or not
          type: boolean
        message:
          description: The message explaining why the call initiation failed
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````